> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avnu.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staking Info

> Get overall staking information and delegation pools

## Overview

Returns overall staking information including all available delegation pools. Use this to display pool options to users.

## Response

<ResponseField name="selfStakedAmount" type="string" required>
  The self-staked amount (hex format)
</ResponseField>

<ResponseField name="selfStakedAmountInUsd" type="number">
  The self-staked amount in USD
</ResponseField>

<ResponseField name="operationalAddress" type="string" required>
  The operational address
</ResponseField>

<ResponseField name="rewardAddress" type="string" required>
  The reward address
</ResponseField>

<ResponseField name="stakerAddress" type="string" required>
  The staker address
</ResponseField>

<ResponseField name="commission" type="number" required>
  The commission rate
</ResponseField>

<ResponseField name="delegationPools" type="array" required>
  Array of delegation pool information

  <Expandable title="StakingPoolInfo">
    <ResponseField name="poolAddress" type="string" required>
      The pool contract address
    </ResponseField>

    <ResponseField name="tokenAddress" type="string" required>
      The staking token address
    </ResponseField>

    <ResponseField name="stakedAmount" type="string" required>
      Total amount staked in the pool (hex format)
    </ResponseField>

    <ResponseField name="stakedAmountInUsd" type="number">
      Total staked amount in USD
    </ResponseField>

    <ResponseField name="apr" type="number" required>
      Current annual percentage rate
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://starknet.api.avnu.fi/staking/v3"
  ```

  ```typescript TypeScript theme={null}
  async function getStakingInfo() {
    const response = await fetch(
      'https://starknet.api.avnu.fi/staking/v3'
    );

    return await response.json();
  }
  ```

  ```python Python theme={null}
  import requests

  def get_staking_info():
      response = requests.get(
          'https://starknet.api.avnu.fi/staking/v3'
      )

      return response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "selfStakedAmount": "0x56bc75e2d63100000",
    "selfStakedAmountInUsd": 1250.50,
    "operationalAddress": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
    "rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
    "stakerAddress": "0x0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
    "commission": 0.05,
    "delegationPools": [
      {
        "poolAddress": "0x0abc123def456789...",
        "tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
        "stakedAmount": "0x152d02c7e14af6800000",
        "stakedAmountInUsd": 125000.00,
        "apr": 0.085
      }
    ]
  }
  ```
</ResponseExample>
